Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Macros | Functions
digest.c File Reference
`#include "digest.h"`

Go to the source code of this file.

## Macros
#define | RUBY_UNTYPED_DATA_WARNING 0

## Functions
RUBY_EXTERN void | Init_digest_base (void)
| NORETURN (static void rb_digest_instance_method_unimpl(VALUE self, const char *method))
void | Init_digest (void)
void | InitVM_digest (void)

## Macro Definition Documentation

## ◆ RUBY_UNTYPED_DATA_WARNING

#define RUBY_UNTYPED_DATA_WARNING 0

## Function Documentation

## ◆ Init_digest()

void Init_digest | ( | void |  | ) |

Definition at line 747 of file digest.c.

## ◆ Init_digest_base()

RUBY_EXTERN void Init_digest_base | ( | void |  | ) |

## ◆ InitVM_digest()

void InitVM_digest | ( | void |  | ) |

Definition at line 761 of file digest.c.

## ◆ NORETURN()

NORETURN | ( | static void | rb_digest_instance_method_unimplVALUE self, const char *method | ) |